requirejs.config({
	baseUrl:'app',
	paths: {
		/**
		 * Externals
		 */
		'angular-trans-part'	: [bibliotecasDir + 'angular-translate-loader-partial/angular-translate-loader-partial.min'],
		'angular-trans-static'	: [bibliotecasDir + 'angular-translate/angular-translate-static-files.min'],
		'fileUpload'			: [bibliotecasDir + 'angular-file-upload/ng-file-upload-all.min'],
		'angularCarousel'		: [bibliotecasDir + 'angularCarousel/angularCarousel.min'],
		'angularTouch'			: [bibliotecasDir + 'angularTouch/angularTouch.min'],
		'jQuery'				: [bibliotecasDir + 'jquery/jquery-1.11.3.min'],
		'lodash'				: [bibliotecasDir + 'lo-dash/lodash.min'],
		'angular'				: [bibliotecasDir + 'angularjs/angular.min'],
		'ngMask'				: [bibliotecasDir + 'angularjs/ngMask.min'],
		'sanitize'				: [bibliotecasDir + 'angularjs/angular.sanitize.min'],
		'angularAMD'			: [bibliotecasDir + 'angularAMD/angularAMD'],
		'restangular'			: [bibliotecasDir + 'restangular/restangular'],
		'domReady'				: [bibliotecasDir + 'requirejs-domready/domReady'],
		'uiRouter'				: [bibliotecasDir + 'uiRouter/angular-ui-router.min'],
		'angular-translate'		: [bibliotecasDir + 'angular-translate/angular-translate.min'],
		'notify'				: [bibliotecasDir + 'notify/angular-ui-notification.min'],
		'underscore'			: [bibliotecasDir + 'underscore/underscore.min'],
		'owlcarousel'			: [bibliotecasDir + 'owlcarousel/owl.carousel.min'],
		'bootstrap-slider'		: [bibliotecasDir + 'bootstrap/js/bootstrap-slider.min'],
		'angular-block-ui'		: [bibliotecasDir + 'angular-block-ui/angular-block-ui.min'],
		'infiniteScroll'		: [bibliotecasDir + 'ng-infinite-scroll/ng-infinite-scroll.min'],
		'angular-cookies'		: [bibliotecasDir + 'angular-cookies/angular-cookies.min'],
		'bootstrap'				: [bibliotecasDir + 'bootstrap/js/bootstrap.min'],
		'hellojs'				: [bibliotecasDir + 'hellojs/hellojs.all.min'],
		'ngstorage'				: [bibliotecasDir + 'ngstorage/ngstorage.min'],
		'nicescroll'			: [bibliotecasDir + 'nicescroll/nicescroll'],
		'ng-map'				: [bibliotecasDir + 'ng-map/ng-map.min'],
		'schema-form-bootstrap'	: [bibliotecasDir + 'json-schema-form/angular-schema-form-bootstrap.min'],
		'schema-form'			: [bibliotecasDir + 'json-schema-form/angular-schema-form.min'],
		'tv4'					: [bibliotecasDir + 'json-schema-form/tv4.min'],
		'wow'					: [bibliotecasDir + 'wow/wow.min'],
		'ng-quill'				: [bibliotecasDir + 'ngquill/ngquill'],
		'layout'				: [layoutDir + 'js/layout'],
		
		/**
		 * Internals
		 */
		'iosRoute'				: [componentesDir + 'iosRoute/iosRoute'],
		'oauthServant'			: [componentesDir + 'oAuthServant/oathServant'],
		'securityServant'		: [componentesDir + 'security/servantSeguranca'],
		'notification'			: [componentesDir + 'iosNotification/iosNotification'],
	},
	shim: {
		'angular-trans-static'	: {deps: ['angular', 'angular-translate'], exports: 'aangular-trans-static'},
		'layout'				: {deps: ['jQuery', 'bootstrap', 'wow', 'nicescroll'], exports: 'layout'},
		'angular-trans-part'	: {deps: ['angular', 'angular-translate'], exports: 'angular-trans-part'},
		'fileUpload'			: {deps: ['angular', 'angularTouch', 'lodash'], exports: 'fileUpload'},
		'oauthServant'			: {deps: ['restangular', 'securityServant'], exports: 'oauthServant'},
		'notification'			: {deps: ['angular', 'iosRoute', 'lodash'], exports: 'notification'},
		'infiniteScroll'		: {deps: ['jQuery', 'angular', 'lodash'], exports: 'infiniteScroll'},
		'angularCarousel'		: {deps: ['angular', 'angularTouch'], exports: 'angularCarousel'},
		'securityServant'		: {deps: ['restangular', 'uiRouter'], exports: 'securityServant'},
		'hellojs'				: {deps: ['jQuery', 'angular', 'lodash'], exports: 'hellojs'},
		'ng-map'				: {deps: ['jQuery', 'angular', 'lodash'], exports: 'ng-map'},
		'nicescroll'			: {deps: ['jQuery', 'bootstrap'], exports: 'nicescroll'},
		'notify'				: {deps: ['bootstrap', 'angular'], exports: 'notify'},
		'bootstrap'				: {deps: ['jQuery', 'angular'], exports: 'bootstrap'},
		'angular-cookies'		: {deps: ['angular'], exports: 'angular-cookies'},
		'underscore'			: {deps: ['jQuery'], exports: 'underscore'},
		'angular'				: {deps: ['jQuery'], exports: 'angular'},
		'jQuery'				: {exports: 'jQuery' },
		'lodash'				: {exports: 'lodash', deps: ['jQuery']},
		'uiRouter'				: {deps: ['angular'], exports: 'uiRouter'},
		'sanitize'				: {deps: ['angular'], exports: 'sanitize'},
		'angularAMD'			: {deps: ['angular'], exports: 'angularAMD'},
		'ngMask'				: {deps: ['angular'], exports: 'ngMask'},
		'angularTouch'			: {deps: ['angular'], exports: 'angularTouch'},
		'angular-translate'		: {deps: ['angular'], exports: 'angular-translate'},
		'schema-form'		 	: {deps: ['angular','sanitize', 'tv4'], exports: 'schema-form'},
		'ng-quill'		 		: {deps: ['angular','sanitize',], exports: 'ng-quill'},
		'schema-form-bootstrap'	: {deps: ['schema-form', 'bootstrap'], exports: 'schema-form-bootstrap'},
		'restangular'			: {deps: ['angular', 'lodash'], exports: 'restangular'},
		'ngstorage'				: {deps: ['angular'], exports: 'ngstorage'},
		'tv4'					: {deps: ['jQuery'], exports: 'tv4'},
		'angular-block-ui'		: {deps: ['jQuery', 'angular'], exports: 'angular-block-ui'},
		'bootstrap-slider'		: {deps: ['bootstrap'], exports: 'bootstrap-slider'},
		'owlcarousel'			: {deps: ['jQuery', 'wow' ], exports: 'owlcarousel'},
		'wow'					: {deps: ['jQuery', 'bootstrap'], exports: 'wow'},
		'iosRoute'				: {deps: ['uiRouter'], exports: 'iosRoute'}
	}
});